#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 jose
version:              0.8.5
visibility:           public
id:                   jose-0.8.5-2vJt8tbtPOVBVVVVtu8d0g
key:                  jose-0.8.5-2vJt8tbtPOVBVVVVtu8d0g
license:              Apache-2.0
copyright:            Copyright (C) 2013-2018  Fraser Tweedale
maintainer:           frase@frase.id.au
author:               Fraser Tweedale
homepage:             https://github.com/frasertweedale/hs-jose
synopsis:
    Javascript Object Signing and Encryption and JSON Web Token library

description:

    An implementation of the Javascript Object Signing and Encryption
    (JOSE) and JSON Web Token (JWT; RFC 7519) formats.

    The JSON Web Signature (JWS; RFC 7515) implementation is complete.

    EdDSA signatures (RFC 8037) are supported (Ed25519 only).

    JWK Thumbprint (RFC 7638) is supported.

    JSON Web Encryption (JWE; RFC 7516) is not yet implemented.

    The __ECDSA implementation is vulnerable to timing attacks__ and
    should only be used for verification.

category:             Cryptography
abi:                  8d45885ae7d341c6b2cbd495ceabff79
exposed:              True
exposed-modules:
    Crypto.JOSE Crypto.JOSE.AESKW Crypto.JOSE.Compact Crypto.JOSE.Error
    Crypto.JOSE.Header Crypto.JOSE.JWA.JWE Crypto.JOSE.JWA.JWE.Alg
    Crypto.JOSE.JWA.JWK Crypto.JOSE.JWA.JWS Crypto.JOSE.JWE
    Crypto.JOSE.JWK Crypto.JOSE.JWK.Store Crypto.JOSE.JWS
    Crypto.JOSE.Types Crypto.JWT

hidden-modules:
    Crypto.JOSE.TH Crypto.JOSE.Types.Internal Crypto.JOSE.Types.Orphans

import-dirs:          /usr/lib/ghc-9.0.2/site-local/jose-0.8.5
library-dirs:         /usr/lib/ghc-9.0.2/site-local/jose-0.8.5
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-9.0.2/jose-0.8.5
hs-libraries:         HSjose-0.8.5-2vJt8tbtPOVBVVVVtu8d0g
depends:
    QuickCheck-2.14.2-8squlTcK6MZAcxqLTZHpKw
    aeson-1.5.6.0-BBhdcnlV5J5JNtwcCn5l4o
    attoparsec-0.14.3-DhMOAcVvvhtBRFS2FUPWxv base-4.15.1.0
    base64-bytestring-1.2.1.0-DbttKViSMZ7KsQsxt7bIbG
    bytestring-0.10.12.1 concise-0.1.0.1-Er19MBBuLVR55W5s2WQVMT
    containers-0.6.4.1 cryptonite-0.29-51tv3QDymZIFBOalBwZQPT
    lens-5.1-90rUFaXMNykIIo8x6oLg1g
    memory-0.16.0-FBfJqtDB5FTKsDjiBBMycd
    monad-time-0.3.1.0-Auqo3kWXvhcCT1bMDe8og5 mtl-2.2.2
    network-uri-2.6.4.1-4rMHBF5oUOW3BXDR0EOFQY
    quickcheck-instances-0.3.25.2-ClPaiCCAk7q7HVWv69takK
    safe-0.3.19-2aVM1fCfxX88jnlVeNbd8Q template-haskell-2.17.0.0
    text-1.2.5.0 time-1.9.3
    unordered-containers-0.2.15.0-BthaKnOuVSgJmoPoerzXSZ
    vector-0.12.3.1-AuXeyw9aHek8rgyiKRxwpj
    x509-1.7.5-2iwrLko9f9I6RhyeniS3Ur

haddock-interfaces:   /usr/share/doc/haskell-jose/html/jose.haddock
haddock-html:         /usr/share/doc/haskell-jose/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

